org.richfaces.fragment.autocomplete

## Interface SelectOrConfirm

- All Known Implementing Classes:
    RichFacesAutocomplete.SelectOrConfirmImpl

      public interface SelectOrConfirm

  Author:
    Juraj Huska, Jiri Stefek

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Autocomplete` | `confirm()` Confirms previously typed value.
    `Autocomplete` | `select()` Selects the first suggestion.
    `Autocomplete` | `select(ChoicePicker picker)` Selects the first suggestion according to the given rules in `picker`param.``
    `Autocomplete` | `select(int index)` Selects the suggestion from the list of the suggestions at index.
    `Autocomplete` | `select(String match)` Selects the first suggestion, which matches the given text.

- - ### Method Detail

    - #### confirm

          Autocomplete confirm()

      Confirms previously typed value. In other words it puts the already typed text into the associated autocomplete input.
      Returns:
        back the Autocomplete component.

    - #### select

          Autocomplete select()

      Selects the first suggestion.
      Returns:
        back the Autocomplete component.
      Throws:
        `RuntimeException` - when no option found

    - #### select

          Autocomplete select(int index)

      Selects the suggestion from the list of the suggestions at index.
      Parameters:
        `index` - index of suggestion
      Returns:
        back the Autocomplete component.
      Throws:
        `RuntimeException` - when no option found

    - #### select

          Autocomplete select(String match)

      Selects the first suggestion, which matches the given text.
      Parameters:
        `match` - string to match the suggestion
      Returns:
        returns back the Autocomplete component.
      Throws:
        `RuntimeException` - when no option found

    - #### select

          Autocomplete select(ChoicePicker picker)

      Selects the first suggestion according to the given rules in `picker`param. In other words, it selects the first suggestion which satisfies the choice picking rules defined in `picker```
      Parameters:
        `picker` - for defining the rules by which the suggestion will be selected
      Returns:
        returns back the Autocomplete component.
      Throws:
        `RuntimeException` - when no such option found
      See Also:
        `ChoicePickerHelper.ByIndexChoicePicker`, `ChoicePickerHelper.ByVisibleTextChoicePicker`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.